ISST-LTE: Ubuntu15.04 installation fails with Shiner network Adapter

Bug #1428005 reported by bugproxy on 2015-03-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

== Comment: #0 - Hemant Kumar <email address hidden> - 2015-02-05 06:01:22 ==
Defect description:
------------------------------

I am trying to do network install ubuntu15.04 on one of the lpar. I have assigned Shiner network adapter to lpar and installation is getting timed out while loading "ubuntu-installer/ppc64el/vmlinux".

error: time out opening `ubuntu-installer/ppc64el/vmlinux'.
error: you need to load the kernel first.

Press any key to continue...

                        GNU GRUB version 2.02~beta2-21

 +----------------------------------------------------------------------------+
 |setparams 'Install Ubuntu 15.04' |
 | |
 | linux ubuntu-installer/ppc64el/vmlinux tasks=standard pkgsel\|
 |/language-pack-patterns= pkgsel/install-language-support=false -- quiet |
 | initrd ubuntu-installer/ppc64el/initrd.gz |
 | |
 | |
 | |
 | |
 | |
 | |
 | |
 +----------------------------------------------------------------------------+

here it is unable to load the kernel.

I tried installing ubuntu using "tftp" but still its fails and installation crashes.

                        GNU GRUB version 2.02~beta2-21

 +----------------------------------------------------------------------------+
 |setparams 'Install Ubuntu 15.04' |
 |insmod tftp |
 | linux ubuntu-installer/ppc64el/vmlinux tasks=standard pkgsel\|
 |/language-pack-patterns= pkgsel/install-language-support=false -- quiet |
 | initrd ubuntu-installer/ppc64el/initrd.gz |
 | |
 | |
 | |
 | |
 | |
 | |
 | |
 +----------------------------------------------------------------------------+

      Minimum Emacs-like screen editing is supported. TAB lists
      completions. Press Ctrl-x or F10 to boot, Ctrl-c or F2 for
      a command-line or ESC to discard edits and return to the GRUB menu.
  Booting a command list

error: timeout reading `ubuntu-installer/ppc64el/initrd.gz'.B 72% 3.27MiB/s ]

Press any key to continue...
OF stdout device is: /vdevice/vty@30000000
Preparing to boot Linux version 3.18.0-12-generic (buildd@fisher02) (gcc version 4.9.2 (Ubuntu 4.9.2-10ubuntu2) ) #13-Ubuntu SMP Thu Jan 29 13:44:26 UTC 2015 (Ubuntu 3.18.0-12.13-generic 3.18.4)
Detected machine type: 0000000000000101
Max number of cores passed to firmware: 256 (NR_CPUS = 2048)
Calling ibm,client-architecture-support... done
command line: BOOT_IMAGE=ubuntu-installer/ppc64el/vmlinux tasks=standard pkgsel/language-pack-patterns= pkgsel/install-language-support=false -- quiet
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 0000000009e50000
  alloc_top : 0000000010000000
  alloc_top_hi : 0000000010000000
  rmo_top : 0000000010000000
  ram_top : 0000000010000000
instantiating rtas at 0x000000000ec90000...
Generate-uid-with-format3 failed! done
prom_hold_cpus: skipped
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x000000000b460000 -> 0x000000000b461a77
Device tree struct 0x000000000b470000 -> 0x000000000b4a0000
Calling quiesce...
returning from prom_init
[ 0.000000] Using pSeries machine description
[ 0.000000] Page sizes from device-tree:
[ 0.000000] base_shift=12: shift=12, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=0
[ 0.000000] base_shift=12: shift=16, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=7
[ 0.000000] base_shift=12: shift=24, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=56
[ 0.000000] base_shift=16: shift=16, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=1
[ 0.000000] base_shift=16: shift=24, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=8
[ 0.000000] base_shift=24: shift=24, sllp=0x0100, avpnm=0x00000001, tlbiel=0, penc=0
[ 0.000000] base_shift=34: shift=34, sllp=0x0120, avpnm=0x000007ff, tlbiel=0, penc=3
[ 0.000000] Using 1TB segments
[ 0.000000] bootconsole [udbg0] enabled
[ 0.000000] Partition configured for 120 cpus.
[ 0.000000] CPU maps initialized for 8 threads per core
 -> smp_release_cpus()
spinning_secondaries = 79
 <- smp_release_cpus()
[ 0.000000] Starting Linux PPC64 #13-Ubuntu SMP Thu Jan 29 13:44:26 UTC 2015
[ 0.000000] -----------------------------------------------------
[ 0.000000] ppc64_pft_size = 0x1b
[ 0.000000] phys_mem_size = 0x280000000
[ 0.000000] cpu_features = 0x07fc7aec18500249
[ 0.000000] possible = 0x1fffffef18500649
[ 0.000000] always = 0x0000000018100040
[ 0.000000] cpu_user_features = 0xdc0065c7 0xee000000
[ 0.000000] mmu_features = 0x7c000003
[ 0.000000] firmware_features = 0x00000001c45ffc5f
[ 0.000000] htab_hash_mask = 0xfffff
[ 0.000000] -----------------------------------------------------
 <- setup_system()
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Initializing cgroup subsys cpuacct
[ 0.000000] Linux version 3.18.0-12-generic (buildd@fisher02) (gcc version 4.9.2 (Ubuntu 4.9.2-10ubuntu2) ) #13-Ubuntu SMP Thu Jan 29 13:44:26 UTC 2015 (Ubuntu 3.18.0-12.13-generic 3.18.4)
[ 0.000000] [boot]0012 Setup Arch
[ 0.000000] PCI host bridge /pci@800000020000021 ranges:
[ 0.000000] MEM 0x0003ff8400000000..0x0003ff847effffff -> 0x0000000080000000
[ 0.000000] PCI host bridge /pci@800000020000029 ranges:
[ 0.000000] MEM 0x0003ff8600000000..0x0003ff867effffff -> 0x0000000080000000
[ 0.000000] PPC64 nvram contains 15360 bytes
[ 0.000000] Zone ranges:
[ 0.000000] DMA [mem 0x00000000-0x27fffffff]
[ 0.000000] DMA32 empty
[ 0.000000] Normal empty
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x27fffffff]
[ 0.000000] Initmem setup node 0 [mem 0x00000000-0x27fffffff]
[ 0.000000] [boot]0015 Setup Done
[ 0.000000] PERCPU: Embedded 3 pages/cpu @c000000001800000 s114048 r0 d82560 u262144
[ 0.000000] Built 1 zonelists in Node order, mobility grouping on. Total pages: 163700
[ 0.000000] Policy zone: DMA
[ 0.000000] Kernel command line: BOOT_IMAGE=ubuntu-installer/ppc64el/vmlinux tasks=standard pkgsel/language-pack-patterns= pkgsel/install-language-support=false -- quiet
[ 0.000000] log_buf_len individual max cpu contribution: 4096 bytes
[ 0.000000] log_buf_len total cpu_extra contributions: 487424 bytes
[ 0.000000] log_buf_len min size: 131072 bytes
[ 0.000000] log_buf_len: 1048576 bytes
[ 0.000000] early log buf free: 125920(96%)
[ 0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[ 0.000000] Sorting __ex_table...
[ 0.000000] Memory: 10325568K/10485760K available (10432K kernel code, 1408K rwdata, 3376K rodata, 5760K init, 2818K bss, 160192K reserved)
[ 0.000000] SLUB: HWalign=128, Order=0-3, MinObjects=0, CPUs=120, Nodes=256
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] RCU restricting CPUs from NR_CPUS=2048 to nr_cpu_ids=120.
[ 0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=120
[ 0.000000] NR_IRQS:512 nr_irqs:512 16
[ 0.000001] clocksource: timebase mult[1f40000] shift[24] registered
[ 0.000232] Console: colour dummy device 80x25
[ 0.000257] console [hvc0] enabled
[ 0.000257] console [hvc0] enabled
[ 0.000269] bootconsole [udbg0] disabled
[ 0.000269] bootconsole [udbg0] disabled
[ 0.002882] allocated 2621440 bytes of page_cgroup
[ 0.002890] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[ 0.002989] mempolicy: Enabling automatic NUMA balancing. Configure with numa_balancing= or the kernel.numa_balancing sysctl
[ 0.002996] pid_max: default: 122880 minimum: 960
[ 0.003169] Security Framework initialized
[ 0.003223] AppArmor: AppArmor initialized
[ 0.003226] Yama: becoming mindful.
[ 0.003409] Dentry cache hash table entries: 2097152 (order: 8, 16777216 bytes)
[ 0.006590] Inode-cache hash table entries: 1048576 (order: 7, 8388608 bytes)
[ 0.008205] Mount-cache hash table entries: 32768 (order: 2, 262144 bytes)
[ 0.008214] Mountpoint-cache hash table entries: 32768 (order: 2, 262144 bytes)
[ 0.008838] Initializing cgroup subsys memory
[ 0.008911] Initializing cgroup subsys devices
[ 0.008915] Initializing cgroup subsys freezer
[ 0.008919] Initializing cgroup subsys net_cls
[ 0.008922] Initializing cgroup subsys blkio
[ 0.008925] Initializing cgroup subsys perf_event
[ 0.008939] Initializing cgroup subsys net_prio
[ 0.008942] Initializing cgroup subsys hugetlb
[ 0.008984] ftrace: allocating 27154 entries in 10 pages
[ 0.018754] EEH: pSeries platform initialized
[ 0.018770] POWER8 performance monitor hardware support registered
[ 0.074613] Brought up 80 CPUs
[ 0.079437] devtmpfs: initialized
[ 0.090287] evm: security.selinux
[ 0.090295] evm: security.SMACK64
[ 0.090298] evm: security.SMACK64EXEC
[ 0.090299] evm: security.SMACK64TRANSMUTE
[ 0.090301] evm: security.SMACK64MMAP
[ 0.090303] evm: security.ima
[ 0.090305] evm: security.capability
[ 0.090466] EEH: devices created
[ 0.094312] regulator-dummy: no parameters
[ 0.095506] NET: Registered protocol family 16
[ 0.107731] EEH: PCI Enhanced I/O Error Handling Enabled
[ 0.107791] IBM eBus Device Driver
[ 0.118275] cpuidle: using governor ladder
[ 0.130326] cpuidle: using governor menu
[ 0.130448] pstore: Registered nvram as persistent store backend
[ 0.136474] PCI: Probing PCI hardware
[ 0.136477] PCI: I/O resource not set for host bridge /pci@800000020000021 (domain 0)
[ 0.136507] PCI host bridge to bus 0000:01
[ 0.136512] pci_bus 0000:01: root bus resource [mem 0x3ff8400000000-0x3ff847effffff] (bus address [0x80000000-0xfeffffff])
[ 0.136517] pci_bus 0000:01: root bus resource [bus 01-ff]
[ 0.374103] IOMMU table initialized, virtual merging enabled
[ 0.375048] PCI: I/O resource not set for host bridge /pci@800000020000029 (domain 1)
[ 0.375080] PCI host bridge to bus 0001:01
[ 0.375084] pci_bus 0001:01: root bus resource [mem 0x3ff8600000000-0x3ff867effffff] (bus address [0x80000000-0xfeffffff])
[ 0.375091] pci_bus 0001:01: root bus resource [bus 01-ff]
[ 0.491303] pseries-rng: Registering arch random hook.
[ 0.503853] vgaarb: loaded
[ 0.504174] SCSI subsystem initialized
[ 0.504555] usbcore: registered new interface driver usbfs
[ 0.504566] usbcore: registered new interface driver hub
[ 0.504953] usbcore: registered new device driver usb
[ 0.504977] pps_core: LinuxPPS API ver. 1 registered
[ 0.504979] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <email address hidden>
[ 0.504985] PTP clock support registered
[ 0.505855] NetLabel: Initializing
[ 0.505858] NetLabel: domain hash size = 128
[ 0.505860] NetLabel: protocols = UNLABELED CIPSOv4
[ 0.505874] NetLabel: unlabeled traffic allowed by default
[ 0.514255] Switched to clocksource timebase
[ 0.524344] AppArmor: AppArmor Filesystem Enabled
[ 0.526288] NET: Registered protocol family 2
[ 0.526629] TCP established hash table entries: 131072 (order: 4, 1048576 bytes)
[ 0.526879] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[ 0.526997] TCP: Hash tables configured (established 131072 bind 65536)
[ 0.527010] TCP: reno registered
[ 0.527031] UDP hash table entries: 8192 (order: 2, 262144 bytes)
[ 0.527066] UDP-Lite hash table entries: 8192 (order: 2, 262144 bytes)
[ 0.527354] NET: Registered protocol family 1
[ 0.555902] futex hash table entries: 32768 (order: 6, 4194304 bytes)
[ 0.556320] Initialise system trusted keyring
[ 0.556341] audit: initializing netlink subsys (disabled)
[ 0.556353] audit: type=2000 audit(1423132232.224:1): initialized
[ 0.556749] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[ 0.556752] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[ 0.558329] zpool: loaded
[ 0.558332] zbud: loaded
[ 0.558699] VFS: Disk quotas dquot_6.5.2
[ 0.558834] Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[ 0.559714] fuse init (API version 7.23)
[ 0.559825] msgmni has been set to 20296
[ 0.559939] Key type big_key registered
[ 0.560674] Key type asymmetric registered
[ 0.560680] Asymmetric key parser 'x509' registered
[ 0.560730] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[ 0.561138] io scheduler noop registered
[ 0.561143] io scheduler deadline registered
[ 0.561189] io scheduler cfq registered (default)
[ 0.561243] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 0.561624] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[ 0.562889] Linux agpgart interface v0.103
[ 0.566216] brd: module loaded
[ 0.567383] loop: module loaded
[ 0.568037] ibmvscsi 30000002: SRP_VERSION: 16.a
[ 0.568206] scsi host0: IBM POWER Virtual SCSI Adapter 1.5.9
[ 0.568342] ibmvscsi 30000002: partner initialization complete
[ 0.568397] ibmvscsi 30000002: host srp version: 16.a, host partition highv1 (2), OS 3, max io 524288
[ 0.568489] ibmvscsi 30000002: Client reserve enabled
[ 0.568509] ibmvscsi 30000002: sent SRP login
[ 0.568545] ibmvscsi 30000002: SRP_LOGIN succeeded
[ 0.582307] libphy: Fixed MDIO Bus: probed
[ 0.582319] tun: Universal TUN/TAP device driver, 1.6
[ 0.582321] tun: (C) 1999-2004 Max Krasnyansky <email address hidden>
[ 0.582518] ehea: IBM eHEA ethernet device driver (Release EHEA_0107)
[ 0.582594] PPP generic driver version 2.4.2
[ 0.582677] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 0.582689] ehci-pci: EHCI PCI platform driver
[ 0.582699] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 0.582705] scsi 0:0:2:0: Direct-Access AIX VDASD 0001 PQ: 0 ANSI: 3
[ 0.582707] ohci-pci: OHCI PCI platform driver
[ 0.582716] uhci_hcd: USB Universal Host Controller Interface driver
[ 0.582820] mousedev: PS/2 mouse device common for all mice
[ 0.583060] device-mapper: uevent: version 1.0.3
[ 0.583201] device-mapper: ioctl: 4.28.0-ioctl (2014-09-17) initialised: <email address hidden>
[ 0.584460] ledtrig-cpu: registered to indicate activity on CPUs
[ 0.584549] TCP: cubic registered
[ 0.584744] NET: Registered protocol family 10
[ 0.585569] NET: Registered protocol family 17
[ 0.585595] Key type dns_resolver registered
[ 0.585920] Loading compiled-in X.509 certificates
[ 0.586662] Loaded X.509 cert 'Magrathea: Glacier signing key: 9c1659128da715a66c799dc3e24922d28a42159d'
[ 0.586677] registered taskstats version 1
[ 0.587898] Key type trusted registered
[ 0.594158] Key type encrypted registered
[ 0.594170] AppArmor: AppArmor sha1 policy hashing enabled
[ 0.594174] ima: No TPM chip found, activating TPM-bypass!
[ 0.594208] evm: HMAC attrs: 0x1
[ 0.596957] /build/buildd/linux-3.18.0/drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
[ 0.615986] sd 0:0:2:0: [sda] 83886080 512-byte logical blocks: (42.9 GB/40.0 GiB)
[ 0.616042] sd 0:0:2:0: [sda] Write Protect is off
[ 0.616055] sd 0:0:2:0: Attached scsi generic sg0 type 0
[ 0.616077] sd 0:0:2:0: [sda] Cache data unavailable
[ 0.616081] sd 0:0:2:0: [sda] Assuming drive cache: write through
[ 0.739111] sda: sda1 sda2 sda3
[ 0.739532] sd 0:0:2:0: [sda] Attached SCSI disk
[ 0.739566] md: Waiting for all devices to be available before autodetect
[ 0.739571] md: If you don't use raid, use raid=noautodetect
[ 0.739846] md: Autodetecting RAID arrays.
[ 0.739848] md: Scanned 0 and added 0 devices.
[ 0.739850] md: autorun ...
[ 0.739852] md: ... autorun DONE.
[ 0.739909] VFS: Cannot open root device "(null)" or unknown-block(0,0): error -6
[ 0.739912] Please append a correct "root=" boot option; here are the available partitions:
[ 0.739919] 0800 41943040 sda driver: sd
[ 0.739923] 0801 7168 sda1 12d64135-c5db-4802-977d-28660229974a
[ 0.739926] 0802 40169472 sda2 fa1fe4f2-f0da-43ca-ac2d-b4a7da4d1dba
[ 0.739930] 0803 1764352 sda3 af35b621-cc2b-4781-8414-397cdcb1707d
[ 0.739934] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
[ 0.739938] CPU: 14 PID: 1 Comm: swapper/0 Not tainted 3.18.0-12-generic #13-Ubuntu
[ 0.739941] Call Trace:
[ 0.739945] [c000000279703af0] [c000000000a205a4] dump_stack+0x90/0xbc (unreliable)
[ 0.739950] [c000000279703b20] [c000000000a1c548] panic+0x100/0x2a4
[ 0.739955] [c000000279703bb0] [c000000000d946cc] mount_block_root+0x2c0/0x360
[ 0.739959] [c000000279703c80] [c000000000d94b50] prepare_namespace+0x1f4/0x254
[ 0.739963] [c000000279703d00] [c000000000d9421c] kernel_init_freeable+0x304/0x33c
[ 0.739967] [c000000279703dc0] [c00000000000be0c] kernel_init+0x2c/0x140
[ 0.739971] [c000000279703e30] [c000000000009568] ret_from_kernel_thread+0x5c/0x74
[ 0.784283] ---[ end Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

== Comment: #8 - David Heller <email address hidden> - 2015-02-09 16:48:43 ==

So, it appears the firmware is able to load the grub image OK, but after that grub is having trouble getting it's required bits over the network. I don't know if this is a grub issue, a ethernet adapter issue or or a openfirmware issue. My guess is, one of the first two.

At netboot we see something like this:

0> boot /pci@800000020000021/ethernet@0

TFTP BOOT ---------------------------------------------------
Server IP.....................10.33.11.31
Client IP.....................10.33.13.252
Gateway IP....................10.33.0.1
Subnet Mask...................255.255.0.0
( 1 ) Filename.................ubuntu-installer/ppc64el/powerpc-ieee1275/core.elf
TFTP Retries..................5
Block Size....................512
FINAL PACKET COUNT = 301
FINAL FILE SIZE = 153880 BYTES

Elapsed time since release of system processors: 9727 mins 35 secs

                       GNU GRUB version 2.02~beta2-21

 +----------------------------------------------------------------------------+
 |setparams 'Install Ubuntu 15.04' |
 | |
 | linux ubuntu-installer/ppc64el/vmlinux tasks=standard pkgsel\|
 |/language-pack-patterns= pkgsel/install-language-support=false -- quiet |
 | initrd ubuntu-installer/ppc64el/initrd.gz |
 | |
 | |
 +----------------------------------------------------------------------------+

      Minimum Emacs-like screen editing is supported. TAB lists
      completions. Press Ctrl-x or F10 to boot, Ctrl-c or F2 for
      a command-line or ESC to discard edits and return to the GRUB menu.

  Booting a command list

error: time out opening
`/ubuntu-installer/ppc64
el/powerpc-ieee1275/linux.mod'.
error: time out opening
`/ubuntu-installer/ppc64
el/powerpc-ieee1275/linux.mod'.

Press any key to continue...

== Comment: #9 - David Heller <email address hidden> - 2015-02-09 16:51:35 ==
Going a bit deeper, I go the the grub prompt and look at the network config. Everything looks fine, although I'm not sure about the presence of the subinterface, the "ethernet@0,1" More in this shortly.

grub> net_ls_cards
ofnet_/pci@800000020000021/ethernet@0,1 40:f2:e9:31:15:25
ofnet_/pci@800000020000021/ethernet@0 40:f2:e9:31:15:24
ofnet_network 0e:94:a7:85:46:03

grub> net_ls_addr
ofnet_/pci@800000020000021/ethernet@0 40:f2:e9:31:15:24 10.33.13.252

grub> net_ls_routes
ofnet_/pci@800000020000021/ethernet@0:local 10.33.0.0/16 ofnet_/pci@800000020000021/ethernet@0
ofnet_/pci@800000020000021/ethernet@0:default 0.0.0.0/0 gw 10.33.0.1

grub> net_ls_dns
9.3.66.216 (prefer ipv4)
9.3.121.18 (prefer ipv4)
9.0.7.1 (prefer ipv4)

grub> echo $root
tftp,10.33.11.31

At first it is working...

grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/core.elf
File size: 150.27KiB [ 150.27KiB 100% 0.13B/s ]
Elapsed time: 0.221 s
Speed: 679.97KiB/s

grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod
File size: 9.55KiB [ 9.55KiB 100% 0.00B/s ]
Elapsed time: 0.003 s
Speed: 3.11MiB/s

Then, repeating the operations, it starts to fail intermittently...

grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod
error: time out opening `ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod'.
grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod
error: time out opening `ubuntu-installer/ppc64el/powerpc-ieee1275/core.elf'.
grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/core.elf
File size: 150.27KiB [ 150.27KiB 100% 691.78KiB/s ]
Elapsed time: 0.900 s
Speed: 166.97KiB/s
grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod
error: time out opening `ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod'.
grub> testspeed ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod
error: time out opening `ubuntu-installer/ppc64el/powerpc-ieee1275/linux.mod'.

Eventually it gets to a point where it can't retrieve anything...

grub> functional_test
error: time out opening
`/ubuntu-installer/ppc64
el/powerpc-ieee1275/functional_test.mod'.
grub> functional_test
error: time out opening
`/ubuntu-installer/ppc64
el/powerpc-ieee1275/functional_test.mod'.

grub> insmod http
error: time out opening `/ubuntu-installer/ppc64el/powerpc-ieee1275/http.mod'.

grub> list_env
error: time out opening
`/ubuntu-installer/ppc64
el/powerpc-ieee1275/loadenv.mod'.

And we are seemingly stuck here.

The "net_ls" commands still show the same results as before.

== Comment: #10 - David Heller <email address hidden> - 2015-02-09 17:11:14 ==
So, I don't know if this is a grub issue, a ethernet adapter issue or or a openfirmware issue.

Two things that may or may not be relevant:

1. From the following output, we see that grub sees all the network interfaces in the system:

grub> net_ls_cards
ofnet_/pci@800000020000021/ethernet@0,1 40:f2:e9:31:15:25
ofnet_/pci@800000020000021/ethernet@0 40:f2:e9:31:15:24
ofnet_network 0e:94:a7:85:46:03

Compare this what is seen in SMS menu:

 PowerPC Firmware
 Version SV810_896
 SMS 1.7 (c) Copyright IBM Corp. 2000,2008 All rights reserved.
-------------------------------------------------------------------------------
 NIC Adapters
      Device Location Code Hardware
                                                                    Address
 1. Interpartition Logical LAN U8247.22L.10D72DT-V3-C3-T1 0e94a7854603
 2. PCIe2 2-Port 10GbE Base-T Adap U78CB.001.WZS0045-P1-C5-T1 40f2e9311524
 3. PCIe2 2-Port 10GbE Base-T Adap U78CB.001.WZS0045-P1-C5-T2 40f2e9311525

It seems odd that grub would see the other interface on the adapter as a ".1" interface, as if it was a "subinterface" of the one we are targeting. Perhaps this is normal nomenclature for net devices in openfirmware, and means nothing. But it looked odd so I wondered if grub was somehow confused here.

I checked: there is no VLAN configured on this interface (per SMS menu).

2. Some of the "time out opening" lines have a linebreak in the middle of the path:

error: time out opening
`/ubuntu-installer/ppc64
el/powerpc-ieee1275/loadenv.mod'.

Perhaps this means nothing, but I speculated there could be some grub bug in the handling of the file paths, since there seemed to be no good reason for the line wrap.

Copying Paulo, Brian and Coleen. Can someone provide next steps here?

== Comment: #14 - Paulo Flabiano Smorigo <email address hidden> - 2015-02-12 12:28:10 ==
About the device name, this is how openfirmware device tree is set:

root@highlp2:~# ls -lad /proc/device-tree/pci@800000020000021/ether*
drwxr-xr-x 2 root root 0 Feb 12 12:24 /proc/device-tree/pci@800000020000021/ethernet@0
drwxr-xr-x 2 root root 0 Feb 12 12:24 /proc/device-tree/pci@800000020000021/ethernet@0,1

== Comment: #22 - Paulo Flabiano Smorigo <email address hidden> - 2015-03-03 13:53:18 ==
Hi,

Found the problem and made a fix. I will talk to canonical to add the fix in the grub package.

GRUB was sending ARP responses with some trailing trash. My fix calculates the ARP response size and remove the trash. With my fix I'm no longer hit the error.

I made some tests and it's working fine with it:

grub> testspeed $prefix/test_10MB
File size: 10.00MiB
Elapsed time: 3.820 s
Speed: 2.62MiB/s

grub> testspeed $prefix/test_100MB
File size: 100.00MiB
Elapsed time: 38.841 s
Speed: 2.57MiB/s

== Comment: #23 - Paulo Flabiano Smorigo <email address hidden> - 2015-03-03 13:55:59 ==
Fix the issue. Will send upstream today and ask to be included in the Ubuntu package.

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-121411 severity-critical targetmilestone-inin1504

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1428005/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → debian-installer (Ubuntu)
Luciano Chavez (lnx1138) on 2015-03-04
affects: debian-installer (Ubuntu) → grub2 (Ubuntu)
Changed in grub2 (Ubuntu):
status: New → Confirmed

------- Comment From <email address hidden> 2015-03-09 18:06 EDT-------
*** Bug 121461 has been marked as a duplicate of this bug. ***

Steve Langasek (vorlon) on 2015-03-12
Changed in grub2 (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Breno Leitão (breno-leitao) wrote :

Hi Mathieu,

Did you have a chance to look at it?

There's another patch in upstream git from Vladimir Serbinenko, which is meant to better handle oversized ARP packets; have you tried it?

As discussed on IRC; the upstream grub commit http://git.savannah.gnu.org/cgit/grub.git/commit/?id=63034d32612dd34f577605dfa8b417ee9144d8cb contains the patch I've previously mentioned, could you please test it and let me know if that would work?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-04-02 20:41 EDT-------
I tested the upstream fix and it works.

Great, I will apply this on the Debian package and provide the package asap.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02~beta2-22ubuntu1

---------------
grub2 (2.02~beta2-22ubuntu1) vivid; urgency=medium

  * debian/patches/arp_icmp_oversize_handling.patch: better handle oversized
    or invalid ARP or ICMP packets. (LP: #1428005)
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 06 Apr 2015 15:15:24 -0400

Changed in grub2 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers